{% extends "base.html" %}
{% block title %}Zoom Meeting Automigration{% endblock %}
{% block content %}
<h1>Please find details of the uploaded recordings below.</h1>
{% if data['videos'] %}
<h2>Following videos were successfully migrated.</h2>
<ul>
  {% for video in data['videos'] %}
  <li>
    <strong>Topic:</strong> {{ video['topic'] }},
    <strong>Meeting Date:</strong> {{ video['date'] }},
    <a href="{{ video['file_url'] }}">
      Link to file
    </a>
  </li>
  {% endfor %}
</ul>
{% endif %}

{% if data['failed_videos'] %}
<h2>Following videos failed to be migrated.</h2>
<ul>
  {% for video in data['failed_videos'] %}
  <li>
    <strong>Topic:</strong> {{ video['topic'] }},
    <strong>Meeting Date:</strong> {{ video['date'] }},
    <strong>Reason:</strong> {{ video['reason'] }}
  </li>
  {% endfor %}
</ul>
{% endif %}
{% endblock %}
